java.nio.file.attribute

## Interface AttributeView

- All Known Subinterfaces:
    AclFileAttributeView, BasicFileAttributeView, DosFileAttributeView, FileAttributeView, FileOwnerAttributeView, FileStoreAttributeView, PosixFileAttributeView, UserDefinedFileAttributeView

      public interface AttributeView

  An object that provides a read-only or updatable view of non-opaque values associated with an object in a filesystem. This interface is extended or implemented by specific attribute views that define the attributes supported by the view. A specific attribute view will typically define type-safe methods to read or update the attributes that it supports.
  Since:
    1.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Returns the name of the attribute view.

- - ### Method Detail

    - #### name

          String name()

      Returns the name of the attribute view.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.